/* $Id: obscure.h,v 1.6 1995/08/08 11:52:34 sandro Exp $ */

/* This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.  */


/* reserved keywords and Standard C library stuff */

static char *
reserved_ids[] =
{
    /* keywords */
    "auto", "break", "case", "char", "const", "continue",
    "default", "do", "double", "else", "enum", "extern",
    "float", "for", "goto", "if", "int", "long", "register",
    "return", "short", "signed", "sizeof", "static", "struct",
    "switch", "typedef", "union", "unsigned", "void", "volatile",
    "while",

    /* assert.h */
    "assert",

    /* ctype.h */
    "isalnum", "isalpha", "iscntrl", "isdigit", "isgraph",
    "islower", "isprint", "ispunct", "isspace", "isupper",
    "isxdigit", "tolower", "toupper",

    /* errno.h */
    "errno",

    /* locale.h */
    "localeconv", "setlocale",
    "LC_ALL", "LC_COLLATE", "LC_CTYPE", "LC_MONETARY", "LC_NUMERIC",
    "LC_TIME", "lconv",

    /* math.h */
    "acos", "asin", "atan", "atan2", "ceil", "cos", "cosh", "exp",
    "fabs", "floor", "frexp", "ldexp", "fmod", "log", "log10",
    "modf", "pow", "sin", "sinh", "sqrt", "tan", "tanh",
    "EDOM", "ERANGE", "HUGE_VAL",

    /* setjmp.h */
    "longjmp", "setjmp",
    "jmp_buf",

    /* signal.h */
    "raise", "signal",
    "sig_atomic_t", "SIGABRT", "SIGFPE", "SIGILL", "SIGINT", "SIGSEGV",
    "SIGTERM", "SIG_DFL", "SIG_ERR", "SIG_IGN",

    /* stdarg.h */
    "va_arg", "va_end", "va_start",
    "va_list",

    /* stddef.h */
    "offsetof",
    "NULL", "ptrdiff_t", "size_t", "wchar_t",

    /* stdio.h */
    "clearerr", "close", "create", "fclose", "feof", "ferror", "fflush",
    "fgetc", "fgetpos", "fgets", "fopen", "fpos_t", "fprintf", "fputc",
    "fputs", "fread", "freopen", "fscanf", "fseek", "fsetpos", "ftell",
    "fwrite", "getc", "getchar", "gets", "perror", "printf", "putc",
    "putchar", "puts", "remove", "rename", "rewind", "scanf", "setbuf",
    "setvbuf", "sprintf", "sscanf", "tmpfile", "tmpnam", "ungetc","vfprintf",
    "vprintf", "vsprintf",
    "FILE", "fpos_t", "_IOFBF", "_IOLBF", "_IONBF", "BUFSIZ", "EOF",
    "FILENAME_MAX", "FOPEN_MAX", "L_tmpnam", "SEEK_CUR", "SEEK_END",
    "SEEK_SET", "stderr", "stdin", "stdout", "TMP_MAX",

    /* stdlib.h */
    "abort", "abs", "atof", "atoi", "atol", "bsearch", "calloc", "div",
    "exit", "free", "getenv", "labs", "ldiv", "malloc", "mblen", "mbstowcs",
    "mbtowc", "qsort", "rand", "realloc", "srand", "strtod", "strtol",
    "strolul", "wcstombs", "wctomb",
    "div_t", "ldiv_t", "EXIT_FAILURE", "EXIT_SUCCESS", "MB_CUR_MAX",
    "MB_LEN_MAX", "RAND_MAX",

    /* string.h */
    "memchr", "memcmp", "memcpy", "memmove", "memset", "perror", "strcat",
    "strchr", "strcmp", "strcoll", "strcpy", "strcspn", "strerror", "strlen",
    "strncat", "strncmp", "strncpy", "strpbrk", "strrchr", "strspn", "strstr",
    "strtok", "strxfrn",

    /* time.h */
    "asctime", "clock", "ctime", "difftime", "gmtime", "localtime", "mktime",
    "strftime", "time",
    "clock_t", "time_t", "tm", "CLK_TCK",

    "main",
    0
};

static char *
silly_words[] =
{
    "foo", "bar", "baz", "quux", "fred", "dog", "cat", "fish", "computer",
    "GNU", "FSF", "GPL", "nice", "bad", "bug", "silly", "buggy", "mum",
    "dad", "sister", "mother", "brother", "father", "disk", "empty", "full",
    "bash", "ksh", "zsh", "sh", "tcsh", "csh", "begin", "end", "help",
    "fast", "small", "big", "nothing", "unknown", "sorry", "because", "please",
    "hey", "ok", "hello", "bye",
    0
};
